Subject: bug#24050: 24.5; ispell-change-dictionary suggests non-existent dicts (aspell)

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Jul 2019 13:12:15 +0200

Eli Zaretskii <[email-masked]> writes:

> If aspell/hunspell is misconfigured, or has some bug, it might not
> output the correct list of installed dictionaries, or not at all.

But if it's misconfigured, then it'll bug out when you ask it to do
other things as well, as hitting `M-$'.  So I don't understand why we
can't rely on aspell/hunspell to tell us what it knows about.

With the patch, ispell-change-directory (on this system) seems to list
all the dictionaries it can use.  This is quite useful, because now that
command allows me to actually choose the dictionary variant I most want
to use, which was impossible before when they were hidden among all the
dictionaries Emacs was claiming I could use (but can't).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no